## org.jfree.report.modules.factories.report.base
Class JFreeReportXmlResourceFactory

    java.lang.Object
      org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlResourceFactory
          org.jfree.report.modules.factories.report.base.JFreeReportXmlResourceFactory

All Implemented Interfaces:
  org.pentaho.reporting.libraries.resourceloader.ResourceFactory

    public class JFreeReportXmlResourceFactory

extends org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlResourceFactory

Creation-Date: 08.04.2006, 14:27:36

Author:
  Thomas Morgner

Field Summary

Fields inherited from class org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlResourceFactory
`CONTENTBASE_KEY`

Fields inherited from interface org.pentaho.reporting.libraries.resourceloader.ResourceFactory
`CONFIG_PREFIX`

Constructor Summary
`JFreeReportXmlResourceFactory()`

Method Summary
`protected java.lang.Object` `finishResult(java.lang.Object res, org.pentaho.reporting.libraries.resourceloader.ResourceManager manager, org.pentaho.reporting.libraries.resourceloader.ResourceData data, org.pentaho.reporting.libraries.resourceloader.ResourceKey context)`
`protected org.pentaho.reporting.libraries.base.config.Configuration` `getConfiguration()`
`java.lang.Class` `getFactoryType()`

Methods inherited from class org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlResourceFactory
`configureReader, create, createResource, getErrorHandler, getParser, initializeDefaults, parseDirectly, registerModule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JFreeReportXmlResourceFactory

    public JFreeReportXmlResourceFactory()

Method Detail

### getFactoryType

    public java.lang.Class getFactoryType()

### getConfiguration

    protected org.pentaho.reporting.libraries.base.config.Configuration getConfiguration()

  Specified by:
    `getConfiguration` in class `org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlResourceFactory`

### finishResult

    protected java.lang.Object finishResult(java.lang.Object res,
                                            org.pentaho.reporting.libraries.resourceloader.ResourceManager manager,
                                            org.pentaho.reporting.libraries.resourceloader.ResourceData data,
                                            org.pentaho.reporting.libraries.resourceloader.ResourceKey context)
                                     throws org.pentaho.reporting.libraries.resourceloader.ResourceCreationException,
                                            org.pentaho.reporting.libraries.resourceloader.ResourceLoadingException

  Overrides:
    `finishResult` in class `org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlResourceFactory`
  Throws:
    `org.pentaho.reporting.libraries.resourceloader.ResourceCreationException`
    `org.pentaho.reporting.libraries.resourceloader.ResourceLoadingException`